// $Id: CounterMarker.java,v 1.5 2004/02/27 16:30:00 m31 Exp $
//
// This file is part of the program suite "Principia Mathematica II"
// which is a working prototype for the main project:
// "Hilbert II" - http://www.qedeq.org
//
// Copyright 2001-2004  Michael Meyling <mime@qedeq.org>.
//
// "Principia Mathematica II" is free software; you can redistribute
// it and/or modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.

package com.meyling.principia.argument;


/**
 * An object of this class represents something that should count as a number.
 * But a {@link PatternVariable} that stands for a number fullfills this
 * interface also.
 *
 * @version $Revision: 1.5 $
 * @author  Michael Meyling
 */
public interface CounterMarker extends Argument {

    /**
     * Get number of object.
     *
     * @return number, this value is >= 0
     */
    public int getNumber();

}
