// $Id: Position.java,v 1.5 2004/03/05 17:05:44 m31 Exp $
//
// This file is part of the program suite "Principia Mathematica II"
// which is a working prototype for the main project:
// "Hilbert II" - http://www.qedeq.org
//
// Copyright 2001-2004  Michael Meyling <mime@qedeq.org>.
//
// "Principia Mathematica II" is free software; you can redistribute
// it and/or modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.

package com.meyling.principia.io;


/**
 * Class for remembering parsing positions.
 *
 * @version $Revision: 1.5 $
 * @author  Michael Meyling
 */
 public class Position {

     /** position at begin */
     private final int begin;

     /** position at end */
     private final int end;


     /**
      * Constructs a marker for begin and end position.
      *
      * @param begin start position
      * @param end   end position
      */
     public Position(final int begin, final int end) {
         this.begin = begin;
         this.end = end;
     }


     /**
      * Get start position.
      *
      * @return  start position
      */
     public final int getBegin() {
         return begin;
     }


     /**
      * Get end position.
      *
      * @return  end position
      */
     public final int getEnd() {
         return end;
     }


 }
