// $Id: BasicConstants.java,v 1.5 2004/02/27 16:30:00 m31 Exp $
//
// This file is part of the program suite "Principia Mathematica II"
// which is a working prototype for the main project:
// "Hilbert II" - http://www.qedeq.org
//
// Copyright 2001-2004  Michael Meyling <mime@qedeq.org>.
//
// "Principia Mathematica II" is free software; you can redistribute
// it and/or modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.

package com.meyling.principia.logic.basic;


import com.meyling.principia.argument.ArgumentConstants;


/**
 * This interface provides constants of this package.
 *
 * @version $Revision: 1.5 $
 * @author  Michael Meyling
 */
public interface BasicConstants extends ArgumentConstants {

    public static final String FORMULA
        = "formula";
    public static final String ARGUMENT_LIST
        = "argument list";
    public static final String SUBJECT_VARIABLE
        = "subject variable";
    public static final String POSITIVE_INTEGER_EXPECTED_IN_ARGUMENT
        = "positive (non zero) integer expected in list argument ";
    public static final String SUBJECT_VARIABLE_EXPECTED_IN_SECOND_ARGUMENT
        = "subject variable expected in second argument list at ";
    public static final String MIXED_FREE_BOUND
        = " must have free and bound variables with empty intersection";
    public static final String WRONG_FORMULA_NUMBER
        = "formula number not in ";
    public static final String NO_FORMULA_NUMBER
        = "no formula number exists";
    public static final String QUALIFIED_MUST_BE_FREE
        = " qualified variable must be free in formula";
    public static final String INCORRECT_LINE
        = "incorrect proof, error in proof line ";
    public static final String RESULT_NOT_EQUAL_WITH_EXPECTED
        = " result is not equal with expected";
    public static final String PRECONDITIONS_NOT_FULLFILLED
        = " preconditions not fullfilled";
    public static final String ALREADY_CONTAINS_PATTERN_VARIABLE
        = "formula has already pattern variables";
}
