// $Id: ModuleEventListener.java,v 1.1 2004/03/08 14:22:03 m31 Exp $
//
// This file is part of the program suite "Principia Mathematica II"
// which is a working prototype for the main project:
// "Hilbert II" - http://www.qedeq.org
//
// Copyright 2001-2004  Michael Meyling <mime@qedeq.org>.
//
// "Principia Mathematica II" is free software; you can redistribute
// it and/or modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.

package com.meyling.principia.module;

/**
 *
 * @version $Revision: 1.1 $
 * @author  Michael Meyling
 */
public interface ModuleEventListener {

    /**
     * Add module.
     *
     * @param   prop    add module with this properties.
     */
    void addModule(final ModuleProperties prop);


    /**
     * Module properties (i.e. the status) have changed.
     *
     * @param   prop
     */
    void stateChanged(ModuleProperties prop);


    /**
     * Remove module.
     *
     * @param   prop    remove module with this properties.
     */
    void removeModule(ModuleProperties prop);



}
